Subject: Re: [PATCH] Do not fail build if mkimage is not available

From: Michael Buesch <[email-masked]>
Date: Sun, 23 Dec 2007 22:21:34 +0100

On Sunday 23 December 2007 21:05:16 Josh Boyer wrote:
> On Sun, 23 Dec 2007 20:31:08 +0100
> Michael Buesch <[email-masked]> wrote:
> 
> > This fixes the boot image wrapper script to not fail the kernel
> > build if mkimage is not available.
> > As some distributions don't ship the mkimage program and I am not
> > interested in uboot images anyway, I don't want to fail the whole kernel
> > build process because of this unneeded dependency.
> > 
> > Simply drop an error message, but don't fail the build.
> 
> This is probably OK for now, but I'm working on getting mkimage merged
> into the kernel so it will just get ripped back out later if I'm
> successful.

Yeah, cool. I am fine with this. :)

I just don't want to install a tool into my operating system that
I do not need. Shipping it with the kernel is the best option.

-- 
Greetings Michael.